Package org.eclipse.e4.ui.workbench

## Interface UIEvents.Application

Enclosing class:
  UIEvents

    public static interface UIEvents.Application

Since:
  1.1

### Field Summary

Fields
`static String` `ADDONS`
`static String` `CATEGORIES`
`static String` `COMMANDS`
`static String` `DIALOGS` Deprecated.
`static String` `TOPIC` Deprecated.
`static String` `TOPIC_ADDONS`
`static String` `TOPIC_ALL`
`static String` `TOPIC_CATEGORIES`
`static String` `TOPIC_COMMANDS`
`static String` `TOPIC_DIALOGS` Deprecated.

### Field Detail

#### TOPIC

    @Deprecated
    static final String TOPIC

Deprecated.

See Also:
  Constant Field Values

#### TOPIC_ALL

    static final String TOPIC_ALL

See Also:
  Constant Field Values

#### TOPIC_ADDONS

    static final String TOPIC_ADDONS

See Also:
  Constant Field Values

#### TOPIC_CATEGORIES

    static final String TOPIC_CATEGORIES

See Also:
  Constant Field Values

#### TOPIC_COMMANDS

    static final String TOPIC_COMMANDS

See Also:
  Constant Field Values

#### TOPIC_DIALOGS

    static final String TOPIC_DIALOGS

Deprecated.

Since:
  1.1
See Also:
  Bug 531054 , Constant Field Values
Restriction:
  This field is not intended to be referenced by clients.

#### ADDONS

    static final String ADDONS

See Also:
  Constant Field Values

#### CATEGORIES

    static final String CATEGORIES

See Also:
  Constant Field Values

#### COMMANDS

    static final String COMMANDS

See Also:
  Constant Field Values

#### DIALOGS

    @Deprecated
    static final String DIALOGS

Deprecated.

Since:
  1.1
See Also:
  Bug 531054 , Constant Field Values
Restriction:
  This field is not intended to be referenced by clients.